Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Linux Tools Project » noob trying to set up C++ IDE(properly install/configure Eclipse and C++ compiler)
noob trying to set up C++ IDE [message #848994] Wed, 18 April 2012 15:42 Go to next message
ed ziffel is currently offline ed ziffel
Messages: 2
Registered: April 2012
Junior Member
New to Eclipse. Pretty much blown away at the moment looking at all the topics, options and such. Do not know where to start.

Want to set up a C++ IDE on a fresh install of Scientific Linux (rip off of RedHat Enterprise 6.2). Need to learn C++ but do not know how to properly install the compiler and configure Eclipse to work together.

Installed the Intel C++ compiler on a Ubuntu Linux install but when started to look at the tutorials did not know how to use with an IDE. Long story short, installed new 0S that included new version of Eclipse, but only for Java. Not finding the right info online to work the problem.

Could someone point me in the right direction?
Re: noob trying to set up C++ IDE [message #855335 is a reply to message #848994] Tue, 24 April 2012 14:29 Go to previous messageGo to next message
Jeff Johnston is currently offline Jeff Johnston
Messages: 173
Registered: July 2009
Senior Member
There are rpms to install. I have no familiarity with Scientific Linux and whether the packages found in RHEL 6.2 are available in some form.

The main package you want is eclipse-cdt. This will drag in the Eclipse platform and all the tools required (e.g. gcc) if you install via yum. The
packages exist for RHEL 6.2. If you have to fish all of these manually from Fedora or some other repo, it may be a bit tedious because you will need
to manually get all the dependencies.
Re: noob trying to set up C++ IDE [message #857751 is a reply to message #855335] Thu, 26 April 2012 16:47 Go to previous message
ed ziffel is currently offline ed ziffel
Messages: 2
Registered: April 2012
Junior Member
Thank you for your response,

Did some more homework and found on the Eclipse site some answers.

1 The Eclipse versions that come with the Linux installs typically don't work. The cure is to uninstall it and use one of the downloads from the Eclipse site.

2 You don't need an RPM, a PPD or a DEB. And although the download is a tar.gz, you don't have to compile it. All you need to do is download the install version, unzip it and cut and paste it into into a directory of your choice, make a link to the executable and you are home free (assuming you chose a directory you have permissions in). After that all is wonderful and works well.

It is mind numbing to know which software set to install using the Eclipse installer. Got a bunch of conflict errors. Used trial and error to sort it out, with the downside being, I really don't know what I've loaded. This is not a big deal since the install, uninstall is very easy, so can wipe it out and start over once I figure out what I'm doing.

Speaking of knowing what I'm doing, have opted for VIM and command line execution for learning C++ at the moment. Thinking that it is important to be able to understand things on a base level. Can't see how the wheels turn using Eclipse at the moment. Maybe after using it a while it will become clearer. My feeling is that once the command line is mastered, then it won't matter if all is not transparent to the point of being a + in favor of Eclipse.

Have used Jedit, Bluefish, Dreamweaver, Gedit, Notepad, Gvim and way back when, Frontpage (yetch!). Have loaded the Eclipse plugins for Javascript, C++, Python, and web. All is working well, but need time to learn how to properly use so am working the tuts. Am predicting that will use Eclipse for primary IDE going forward. Really like VIM but it is not an IDE, lacks CVS, etc.. Eclipse appears to be very robust and capable with the equally/more important factor of vibrant ongoing support.

Previous Topic:How to build Eclipse in Eclipse
Next Topic:gcov plugin - Invalid binary file error
Goto Forum:
  


Current Time: Sat Aug 23 01:44:38 EDT 2014

Powered by FUDForum. Page generated in 0.01753 seconds